Bug 820933 - Error message when trying to create new test run
Error message when trying to create new test run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:19 EDT by Simon Green
Modified: 2016-06-23 00:36 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.8.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-04 01:40:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (749.17 KB, image/png)
2012-05-11 07:19 EDT, Simon Green
no flags Details
respected results field of case 12377 (103.76 KB, image/png)
2012-07-13 04:34 EDT, Zheng Liu
no flags Details
html source editor of TinyMCE (117.03 KB, image/png)
2012-07-13 05:39 EDT, Zheng Liu
no flags Details

  None (edit)
Description Simon Green 2012-05-11 07:19:13 EDT
Created attachment 583808 [details]
Error message

Description of problem:
Trying to create a new run generates error even though field is specified

Version-Release number of selected component (if applicable):
3.7

How reproducible:
Always

Steps to Reproduce:
1. Try to create new test run
  
Actual results:
Error stating Summary field is required, even though it is specified

Expected results:
Test run created successfully.

Additional info:
Maybe PEBKAC. I haven't used TCMS before.
Comment 1 Jin Zhao 2012-05-13 22:13:07 EDT
(In reply to comment #0)
> Created attachment 583808 [details]
> Error message
> 
> Description of problem:
> Trying to create a new run generates error even though field is specified
> 
> Version-Release number of selected component (if applicable):
> 3.7
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Try to create new test run
> 
> Actual results:
> Error stating Summary field is required, even though it is specified
> 
> Expected results:
> Test run created successfully.
> 
> Additional info:
> Maybe PEBKAC. I haven't used TCMS before.

Simon Green ,

Thank you for reporting . QE unable reproduce it now . Could you help describe the detail steps ? Thanks .
Comment 2 Simon Green 2012-05-13 22:25:03 EDT
(In reply to comment #1)
> Thank you for reporting . QE unable reproduce it now . Could you help describe
> the detail steps ? Thanks .

1. Visit https://tcms.engineering.redhat.com/plan/1197/
2. Click on Run -> Write new run
3. Fill out the field as per screenshot.
4. TCMS gives error message.
Comment 3 yawei Li 2012-05-16 03:39:42 EDT
Simon,
we can't reproduce this bug, after input the some info.

Would you please provide more details? or maybe we can vnc to have a look.
Comment 5 Zheng Liu 2012-07-04 01:40:01 EDT
Close it since can not reproduce.
Comment 7 Zheng Liu 2012-07-13 04:34:28 EDT
Created attachment 598013 [details]
respected results field of case 12377
Comment 8 Zheng Liu 2012-07-13 05:39:45 EDT
Created attachment 598024 [details]
html source editor of TinyMCE
Comment 9 Zheng Liu 2012-07-13 05:42:35 EDT
This bug only reproduce when selected case include case 12377. 
In "Document" tab of 12377, the "Expected Results" field somehow display strage input text area.please refer to the attachment.

The html code of first input text area is:

<input id="ncf-summary" class="x-form-text x-form-field" style="width: 792px;" type="text" name="summary" size="20">

these code will cause interference with the submit of upper form.

So to solve this problem, we just need remove these strange input text area of Case 12377.

Moreover, we guess these dangerous html source is copied or edited by user via HTML Source Editor of TinyMCE. This feature allow people to copy or edit html code arbitrarily which will make TCMS vulnerable to malicious JS attack.
So will disable the feature of HTML Source Editor from version 3.8.0 to resolve above problem at root.
Comment 10 xubai 2012-07-25 05:28:13 EDT
Verify 3.8.0-1 on stage --> PASS

Verify steps:
Create test run, and include case 12377

Actual results:
It could create new run.

Note You need to log in before you can comment on or make changes to this bug.